IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network205.3.16.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
205.3.16.0- Broadcast address
205.3.31.255- First usable
205.3.16.1- Last usable
205.3.31.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- C (default /24)
- As numbers
- Hex
CD031000· Integer3439529984to3439534079 - Reverse DNS zones
16.3.205.in-addr.arpa17.3.205.in-addr.arpa18.3.205.in-addr.arpa19.3.205.in-addr.arpa20.3.205.in-addr.arpa21.3.205.in-addr.arpa22.3.205.in-addr.arpa23.3.205.in-addr.arpa24.3.205.in-addr.arpa25.3.205.in-addr.arpa26.3.205.in-addr.arpa27.3.205.in-addr.arpa28.3.205.in-addr.arpa29.3.205.in-addr.arpa30.3.205.in-addr.arpa31.3.205.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11001101.00000011.00010000.00000000 | 205.3.16.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 11001101.00000011.00010000.00000000 | 205.3.16.0 |
| Broadcast | 11001101.00000011.00011111.11111111 | 205.3.31.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
205.3.16.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 205.3.16.0/32 | 205.3.16.0 to 205.3.16.0 | — | 1 |
| 2 | 205.3.16.1/32 | 205.3.16.1 to 205.3.16.1 | — | 1 |
| 3 | 205.3.16.2/32 | 205.3.16.2 to 205.3.16.2 | — | 1 |
| 4 | 205.3.16.3/32 | 205.3.16.3 to 205.3.16.3 | — | 1 |
| 5 | 205.3.16.4/32 | 205.3.16.4 to 205.3.16.4 | — | 1 |
| 6 | 205.3.16.5/32 | 205.3.16.5 to 205.3.16.5 | — | 1 |
| 7 | 205.3.16.6/32 | 205.3.16.6 to 205.3.16.6 | — | 1 |
| 8 | 205.3.16.7/32 | 205.3.16.7 to 205.3.16.7 | — | 1 |
| 9 | 205.3.16.8/32 | 205.3.16.8 to 205.3.16.8 | — | 1 |
| 10 | 205.3.16.9/32 | 205.3.16.9 to 205.3.16.9 | — | 1 |
| 11 | 205.3.16.10/32 | 205.3.16.10 to 205.3.16.10 | — | 1 |
| 12 | 205.3.16.11/32 | 205.3.16.11 to 205.3.16.11 | — | 1 |
| 13 | 205.3.16.12/32 | 205.3.16.12 to 205.3.16.12 | — | 1 |
| 14 | 205.3.16.13/32 | 205.3.16.13 to 205.3.16.13 | — | 1 |
| 15 | 205.3.16.14/32 | 205.3.16.14 to 205.3.16.14 | — | 1 |
| 16 | 205.3.16.15/32 | 205.3.16.15 to 205.3.16.15 | — | 1 |
| 17 | 205.3.16.16/32 | 205.3.16.16 to 205.3.16.16 | — | 1 |
| 18 | 205.3.16.17/32 | 205.3.16.17 to 205.3.16.17 | — | 1 |
| 19 | 205.3.16.18/32 | 205.3.16.18 to 205.3.16.18 | — | 1 |
| 20 | 205.3.16.19/32 | 205.3.16.19 to 205.3.16.19 | — | 1 |
| 21 | 205.3.16.20/32 | 205.3.16.20 to 205.3.16.20 | — | 1 |
| 22 | 205.3.16.21/32 | 205.3.16.21 to 205.3.16.21 | — | 1 |
| 23 | 205.3.16.22/32 | 205.3.16.22 to 205.3.16.22 | — | 1 |
| 24 | 205.3.16.23/32 | 205.3.16.23 to 205.3.16.23 | — | 1 |
| 25 | 205.3.16.24/32 | 205.3.16.24 to 205.3.16.24 | — | 1 |
| 26 | 205.3.16.25/32 | 205.3.16.25 to 205.3.16.25 | — | 1 |
| 27 | 205.3.16.26/32 | 205.3.16.26 to 205.3.16.26 | — | 1 |
| 28 | 205.3.16.27/32 | 205.3.16.27 to 205.3.16.27 | — | 1 |
| 29 | 205.3.16.28/32 | 205.3.16.28 to 205.3.16.28 | — | 1 |
| 30 | 205.3.16.29/32 | 205.3.16.29 to 205.3.16.29 | — | 1 |
| 31 | 205.3.16.30/32 | 205.3.16.30 to 205.3.16.30 | — | 1 |
| 32 | 205.3.16.31/32 | 205.3.16.31 to 205.3.16.31 | — | 1 |
| 33 | 205.3.16.32/32 | 205.3.16.32 to 205.3.16.32 | — | 1 |
| 34 | 205.3.16.33/32 | 205.3.16.33 to 205.3.16.33 | — | 1 |
| 35 | 205.3.16.34/32 | 205.3.16.34 to 205.3.16.34 | — | 1 |
| 36 | 205.3.16.35/32 | 205.3.16.35 to 205.3.16.35 | — | 1 |
| 37 | 205.3.16.36/32 | 205.3.16.36 to 205.3.16.36 | — | 1 |
| 38 | 205.3.16.37/32 | 205.3.16.37 to 205.3.16.37 | — | 1 |
| 39 | 205.3.16.38/32 | 205.3.16.38 to 205.3.16.38 | — | 1 |
| 40 | 205.3.16.39/32 | 205.3.16.39 to 205.3.16.39 | — | 1 |
| 41 | 205.3.16.40/32 | 205.3.16.40 to 205.3.16.40 | — | 1 |
| 42 | 205.3.16.41/32 | 205.3.16.41 to 205.3.16.41 | — | 1 |
| 43 | 205.3.16.42/32 | 205.3.16.42 to 205.3.16.42 | — | 1 |
| 44 | 205.3.16.43/32 | 205.3.16.43 to 205.3.16.43 | — | 1 |
| 45 | 205.3.16.44/32 | 205.3.16.44 to 205.3.16.44 | — | 1 |
| 46 | 205.3.16.45/32 | 205.3.16.45 to 205.3.16.45 | — | 1 |
| 47 | 205.3.16.46/32 | 205.3.16.46 to 205.3.16.46 | — | 1 |
| 48 | 205.3.16.47/32 | 205.3.16.47 to 205.3.16.47 | — | 1 |
| 49 | 205.3.16.48/32 | 205.3.16.48 to 205.3.16.48 | — | 1 |
| 50 | 205.3.16.49/32 | 205.3.16.49 to 205.3.16.49 | — | 1 |
| 51 | 205.3.16.50/32 | 205.3.16.50 to 205.3.16.50 | — | 1 |
| 52 | 205.3.16.51/32 | 205.3.16.51 to 205.3.16.51 | — | 1 |
| 53 | 205.3.16.52/32 | 205.3.16.52 to 205.3.16.52 | — | 1 |
| 54 | 205.3.16.53/32 | 205.3.16.53 to 205.3.16.53 | — | 1 |
| 55 | 205.3.16.54/32 | 205.3.16.54 to 205.3.16.54 | — | 1 |
| 56 | 205.3.16.55/32 | 205.3.16.55 to 205.3.16.55 | — | 1 |
| 57 | 205.3.16.56/32 | 205.3.16.56 to 205.3.16.56 | — | 1 |
| 58 | 205.3.16.57/32 | 205.3.16.57 to 205.3.16.57 | — | 1 |
| 59 | 205.3.16.58/32 | 205.3.16.58 to 205.3.16.58 | — | 1 |
| 60 | 205.3.16.59/32 | 205.3.16.59 to 205.3.16.59 | — | 1 |
| 61 | 205.3.16.60/32 | 205.3.16.60 to 205.3.16.60 | — | 1 |
| 62 | 205.3.16.61/32 | 205.3.16.61 to 205.3.16.61 | — | 1 |
| 63 | 205.3.16.62/32 | 205.3.16.62 to 205.3.16.62 | — | 1 |
| 64 | 205.3.16.63/32 | 205.3.16.63 to 205.3.16.63 | — | 1 |
| 65 | 205.3.16.64/32 | 205.3.16.64 to 205.3.16.64 | — | 1 |
| 66 | 205.3.16.65/32 | 205.3.16.65 to 205.3.16.65 | — | 1 |
| 67 | 205.3.16.66/32 | 205.3.16.66 to 205.3.16.66 | — | 1 |
| 68 | 205.3.16.67/32 | 205.3.16.67 to 205.3.16.67 | — | 1 |
| 69 | 205.3.16.68/32 | 205.3.16.68 to 205.3.16.68 | — | 1 |
| 70 | 205.3.16.69/32 | 205.3.16.69 to 205.3.16.69 | — | 1 |
| 71 | 205.3.16.70/32 | 205.3.16.70 to 205.3.16.70 | — | 1 |
| 72 | 205.3.16.71/32 | 205.3.16.71 to 205.3.16.71 | — | 1 |
| 73 | 205.3.16.72/32 | 205.3.16.72 to 205.3.16.72 | — | 1 |
| 74 | 205.3.16.73/32 | 205.3.16.73 to 205.3.16.73 | — | 1 |
| 75 | 205.3.16.74/32 | 205.3.16.74 to 205.3.16.74 | — | 1 |
| 76 | 205.3.16.75/32 | 205.3.16.75 to 205.3.16.75 | — | 1 |
| 77 | 205.3.16.76/32 | 205.3.16.76 to 205.3.16.76 | — | 1 |
| 78 | 205.3.16.77/32 | 205.3.16.77 to 205.3.16.77 | — | 1 |
| 79 | 205.3.16.78/32 | 205.3.16.78 to 205.3.16.78 | — | 1 |
| 80 | 205.3.16.79/32 | 205.3.16.79 to 205.3.16.79 | — | 1 |
| 81 | 205.3.16.80/32 | 205.3.16.80 to 205.3.16.80 | — | 1 |
| 82 | 205.3.16.81/32 | 205.3.16.81 to 205.3.16.81 | — | 1 |
| 83 | 205.3.16.82/32 | 205.3.16.82 to 205.3.16.82 | — | 1 |
| 84 | 205.3.16.83/32 | 205.3.16.83 to 205.3.16.83 | — | 1 |
| 85 | 205.3.16.84/32 | 205.3.16.84 to 205.3.16.84 | — | 1 |
| 86 | 205.3.16.85/32 | 205.3.16.85 to 205.3.16.85 | — | 1 |
| 87 | 205.3.16.86/32 | 205.3.16.86 to 205.3.16.86 | — | 1 |
| 88 | 205.3.16.87/32 | 205.3.16.87 to 205.3.16.87 | — | 1 |
| 89 | 205.3.16.88/32 | 205.3.16.88 to 205.3.16.88 | — | 1 |
| 90 | 205.3.16.89/32 | 205.3.16.89 to 205.3.16.89 | — | 1 |
| 91 | 205.3.16.90/32 | 205.3.16.90 to 205.3.16.90 | — | 1 |
| 92 | 205.3.16.91/32 | 205.3.16.91 to 205.3.16.91 | — | 1 |
| 93 | 205.3.16.92/32 | 205.3.16.92 to 205.3.16.92 | — | 1 |
| 94 | 205.3.16.93/32 | 205.3.16.93 to 205.3.16.93 | — | 1 |
| 95 | 205.3.16.94/32 | 205.3.16.94 to 205.3.16.94 | — | 1 |
| 96 | 205.3.16.95/32 | 205.3.16.95 to 205.3.16.95 | — | 1 |
| 97 | 205.3.16.96/32 | 205.3.16.96 to 205.3.16.96 | — | 1 |
| 98 | 205.3.16.97/32 | 205.3.16.97 to 205.3.16.97 | — | 1 |
| 99 | 205.3.16.98/32 | 205.3.16.98 to 205.3.16.98 | — | 1 |
| 100 | 205.3.16.99/32 | 205.3.16.99 to 205.3.16.99 | — | 1 |
| 101 | 205.3.16.100/32 | 205.3.16.100 to 205.3.16.100 | — | 1 |
| 102 | 205.3.16.101/32 | 205.3.16.101 to 205.3.16.101 | — | 1 |
| 103 | 205.3.16.102/32 | 205.3.16.102 to 205.3.16.102 | — | 1 |
| 104 | 205.3.16.103/32 | 205.3.16.103 to 205.3.16.103 | — | 1 |
| 105 | 205.3.16.104/32 | 205.3.16.104 to 205.3.16.104 | — | 1 |
| 106 | 205.3.16.105/32 | 205.3.16.105 to 205.3.16.105 | — | 1 |
| 107 | 205.3.16.106/32 | 205.3.16.106 to 205.3.16.106 | — | 1 |
| 108 | 205.3.16.107/32 | 205.3.16.107 to 205.3.16.107 | — | 1 |
| 109 | 205.3.16.108/32 | 205.3.16.108 to 205.3.16.108 | — | 1 |
| 110 | 205.3.16.109/32 | 205.3.16.109 to 205.3.16.109 | — | 1 |
| 111 | 205.3.16.110/32 | 205.3.16.110 to 205.3.16.110 | — | 1 |
| 112 | 205.3.16.111/32 | 205.3.16.111 to 205.3.16.111 | — | 1 |
| 113 | 205.3.16.112/32 | 205.3.16.112 to 205.3.16.112 | — | 1 |
| 114 | 205.3.16.113/32 | 205.3.16.113 to 205.3.16.113 | — | 1 |
| 115 | 205.3.16.114/32 | 205.3.16.114 to 205.3.16.114 | — | 1 |
| 116 | 205.3.16.115/32 | 205.3.16.115 to 205.3.16.115 | — | 1 |
| 117 | 205.3.16.116/32 | 205.3.16.116 to 205.3.16.116 | — | 1 |
| 118 | 205.3.16.117/32 | 205.3.16.117 to 205.3.16.117 | — | 1 |
| 119 | 205.3.16.118/32 | 205.3.16.118 to 205.3.16.118 | — | 1 |
| 120 | 205.3.16.119/32 | 205.3.16.119 to 205.3.16.119 | — | 1 |
| 121 | 205.3.16.120/32 | 205.3.16.120 to 205.3.16.120 | — | 1 |
| 122 | 205.3.16.121/32 | 205.3.16.121 to 205.3.16.121 | — | 1 |
| 123 | 205.3.16.122/32 | 205.3.16.122 to 205.3.16.122 | — | 1 |
| 124 | 205.3.16.123/32 | 205.3.16.123 to 205.3.16.123 | — | 1 |
| 125 | 205.3.16.124/32 | 205.3.16.124 to 205.3.16.124 | — | 1 |
| 126 | 205.3.16.125/32 | 205.3.16.125 to 205.3.16.125 | — | 1 |
| 127 | 205.3.16.126/32 | 205.3.16.126 to 205.3.16.126 | — | 1 |
| 128 | 205.3.16.127/32 | 205.3.16.127 to 205.3.16.127 | — | 1 |
| 129 | 205.3.16.128/32 | 205.3.16.128 to 205.3.16.128 | — | 1 |
| 130 | 205.3.16.129/32 | 205.3.16.129 to 205.3.16.129 | — | 1 |
| 131 | 205.3.16.130/32 | 205.3.16.130 to 205.3.16.130 | — | 1 |
| 132 | 205.3.16.131/32 | 205.3.16.131 to 205.3.16.131 | — | 1 |
| 133 | 205.3.16.132/32 | 205.3.16.132 to 205.3.16.132 | — | 1 |
| 134 | 205.3.16.133/32 | 205.3.16.133 to 205.3.16.133 | — | 1 |
| 135 | 205.3.16.134/32 | 205.3.16.134 to 205.3.16.134 | — | 1 |
| 136 | 205.3.16.135/32 | 205.3.16.135 to 205.3.16.135 | — | 1 |
| 137 | 205.3.16.136/32 | 205.3.16.136 to 205.3.16.136 | — | 1 |
| 138 | 205.3.16.137/32 | 205.3.16.137 to 205.3.16.137 | — | 1 |
| 139 | 205.3.16.138/32 | 205.3.16.138 to 205.3.16.138 | — | 1 |
| 140 | 205.3.16.139/32 | 205.3.16.139 to 205.3.16.139 | — | 1 |
| 141 | 205.3.16.140/32 | 205.3.16.140 to 205.3.16.140 | — | 1 |
| 142 | 205.3.16.141/32 | 205.3.16.141 to 205.3.16.141 | — | 1 |
| 143 | 205.3.16.142/32 | 205.3.16.142 to 205.3.16.142 | — | 1 |
| 144 | 205.3.16.143/32 | 205.3.16.143 to 205.3.16.143 | — | 1 |
| 145 | 205.3.16.144/32 | 205.3.16.144 to 205.3.16.144 | — | 1 |
| 146 | 205.3.16.145/32 | 205.3.16.145 to 205.3.16.145 | — | 1 |
| 147 | 205.3.16.146/32 | 205.3.16.146 to 205.3.16.146 | — | 1 |
| 148 | 205.3.16.147/32 | 205.3.16.147 to 205.3.16.147 | — | 1 |
| 149 | 205.3.16.148/32 | 205.3.16.148 to 205.3.16.148 | — | 1 |
| 150 | 205.3.16.149/32 | 205.3.16.149 to 205.3.16.149 | — | 1 |
| 151 | 205.3.16.150/32 | 205.3.16.150 to 205.3.16.150 | — | 1 |
| 152 | 205.3.16.151/32 | 205.3.16.151 to 205.3.16.151 | — | 1 |
| 153 | 205.3.16.152/32 | 205.3.16.152 to 205.3.16.152 | — | 1 |
| 154 | 205.3.16.153/32 | 205.3.16.153 to 205.3.16.153 | — | 1 |
| 155 | 205.3.16.154/32 | 205.3.16.154 to 205.3.16.154 | — | 1 |
| 156 | 205.3.16.155/32 | 205.3.16.155 to 205.3.16.155 | — | 1 |
| 157 | 205.3.16.156/32 | 205.3.16.156 to 205.3.16.156 | — | 1 |
| 158 | 205.3.16.157/32 | 205.3.16.157 to 205.3.16.157 | — | 1 |
| 159 | 205.3.16.158/32 | 205.3.16.158 to 205.3.16.158 | — | 1 |
| 160 | 205.3.16.159/32 | 205.3.16.159 to 205.3.16.159 | — | 1 |
| 161 | 205.3.16.160/32 | 205.3.16.160 to 205.3.16.160 | — | 1 |
| 162 | 205.3.16.161/32 | 205.3.16.161 to 205.3.16.161 | — | 1 |
| 163 | 205.3.16.162/32 | 205.3.16.162 to 205.3.16.162 | — | 1 |
| 164 | 205.3.16.163/32 | 205.3.16.163 to 205.3.16.163 | — | 1 |
| 165 | 205.3.16.164/32 | 205.3.16.164 to 205.3.16.164 | — | 1 |
| 166 | 205.3.16.165/32 | 205.3.16.165 to 205.3.16.165 | — | 1 |
| 167 | 205.3.16.166/32 | 205.3.16.166 to 205.3.16.166 | — | 1 |
| 168 | 205.3.16.167/32 | 205.3.16.167 to 205.3.16.167 | — | 1 |
| 169 | 205.3.16.168/32 | 205.3.16.168 to 205.3.16.168 | — | 1 |
| 170 | 205.3.16.169/32 | 205.3.16.169 to 205.3.16.169 | — | 1 |
| 171 | 205.3.16.170/32 | 205.3.16.170 to 205.3.16.170 | — | 1 |
| 172 | 205.3.16.171/32 | 205.3.16.171 to 205.3.16.171 | — | 1 |
| 173 | 205.3.16.172/32 | 205.3.16.172 to 205.3.16.172 | — | 1 |
| 174 | 205.3.16.173/32 | 205.3.16.173 to 205.3.16.173 | — | 1 |
| 175 | 205.3.16.174/32 | 205.3.16.174 to 205.3.16.174 | — | 1 |
| 176 | 205.3.16.175/32 | 205.3.16.175 to 205.3.16.175 | — | 1 |
| 177 | 205.3.16.176/32 | 205.3.16.176 to 205.3.16.176 | — | 1 |
| 178 | 205.3.16.177/32 | 205.3.16.177 to 205.3.16.177 | — | 1 |
| 179 | 205.3.16.178/32 | 205.3.16.178 to 205.3.16.178 | — | 1 |
| 180 | 205.3.16.179/32 | 205.3.16.179 to 205.3.16.179 | — | 1 |
| 181 | 205.3.16.180/32 | 205.3.16.180 to 205.3.16.180 | — | 1 |
| 182 | 205.3.16.181/32 | 205.3.16.181 to 205.3.16.181 | — | 1 |
| 183 | 205.3.16.182/32 | 205.3.16.182 to 205.3.16.182 | — | 1 |
| 184 | 205.3.16.183/32 | 205.3.16.183 to 205.3.16.183 | — | 1 |
| 185 | 205.3.16.184/32 | 205.3.16.184 to 205.3.16.184 | — | 1 |
| 186 | 205.3.16.185/32 | 205.3.16.185 to 205.3.16.185 | — | 1 |
| 187 | 205.3.16.186/32 | 205.3.16.186 to 205.3.16.186 | — | 1 |
| 188 | 205.3.16.187/32 | 205.3.16.187 to 205.3.16.187 | — | 1 |
| 189 | 205.3.16.188/32 | 205.3.16.188 to 205.3.16.188 | — | 1 |
| 190 | 205.3.16.189/32 | 205.3.16.189 to 205.3.16.189 | — | 1 |
| 191 | 205.3.16.190/32 | 205.3.16.190 to 205.3.16.190 | — | 1 |
| 192 | 205.3.16.191/32 | 205.3.16.191 to 205.3.16.191 | — | 1 |
| 193 | 205.3.16.192/32 | 205.3.16.192 to 205.3.16.192 | — | 1 |
| 194 | 205.3.16.193/32 | 205.3.16.193 to 205.3.16.193 | — | 1 |
| 195 | 205.3.16.194/32 | 205.3.16.194 to 205.3.16.194 | — | 1 |
| 196 | 205.3.16.195/32 | 205.3.16.195 to 205.3.16.195 | — | 1 |
| 197 | 205.3.16.196/32 | 205.3.16.196 to 205.3.16.196 | — | 1 |
| 198 | 205.3.16.197/32 | 205.3.16.197 to 205.3.16.197 | — | 1 |
| 199 | 205.3.16.198/32 | 205.3.16.198 to 205.3.16.198 | — | 1 |
| 200 | 205.3.16.199/32 | 205.3.16.199 to 205.3.16.199 | — | 1 |
| 201 | 205.3.16.200/32 | 205.3.16.200 to 205.3.16.200 | — | 1 |
| 202 | 205.3.16.201/32 | 205.3.16.201 to 205.3.16.201 | — | 1 |
| 203 | 205.3.16.202/32 | 205.3.16.202 to 205.3.16.202 | — | 1 |
| 204 | 205.3.16.203/32 | 205.3.16.203 to 205.3.16.203 | — | 1 |
| 205 | 205.3.16.204/32 | 205.3.16.204 to 205.3.16.204 | — | 1 |
| 206 | 205.3.16.205/32 | 205.3.16.205 to 205.3.16.205 | — | 1 |
| 207 | 205.3.16.206/32 | 205.3.16.206 to 205.3.16.206 | — | 1 |
| 208 | 205.3.16.207/32 | 205.3.16.207 to 205.3.16.207 | — | 1 |
| 209 | 205.3.16.208/32 | 205.3.16.208 to 205.3.16.208 | — | 1 |
| 210 | 205.3.16.209/32 | 205.3.16.209 to 205.3.16.209 | — | 1 |
| 211 | 205.3.16.210/32 | 205.3.16.210 to 205.3.16.210 | — | 1 |
| 212 | 205.3.16.211/32 | 205.3.16.211 to 205.3.16.211 | — | 1 |
| 213 | 205.3.16.212/32 | 205.3.16.212 to 205.3.16.212 | — | 1 |
| 214 | 205.3.16.213/32 | 205.3.16.213 to 205.3.16.213 | — | 1 |
| 215 | 205.3.16.214/32 | 205.3.16.214 to 205.3.16.214 | — | 1 |
| 216 | 205.3.16.215/32 | 205.3.16.215 to 205.3.16.215 | — | 1 |
| 217 | 205.3.16.216/32 | 205.3.16.216 to 205.3.16.216 | — | 1 |
| 218 | 205.3.16.217/32 | 205.3.16.217 to 205.3.16.217 | — | 1 |
| 219 | 205.3.16.218/32 | 205.3.16.218 to 205.3.16.218 | — | 1 |
| 220 | 205.3.16.219/32 | 205.3.16.219 to 205.3.16.219 | — | 1 |
| 221 | 205.3.16.220/32 | 205.3.16.220 to 205.3.16.220 | — | 1 |
| 222 | 205.3.16.221/32 | 205.3.16.221 to 205.3.16.221 | — | 1 |
| 223 | 205.3.16.222/32 | 205.3.16.222 to 205.3.16.222 | — | 1 |
| 224 | 205.3.16.223/32 | 205.3.16.223 to 205.3.16.223 | — | 1 |
| 225 | 205.3.16.224/32 | 205.3.16.224 to 205.3.16.224 | — | 1 |
| 226 | 205.3.16.225/32 | 205.3.16.225 to 205.3.16.225 | — | 1 |
| 227 | 205.3.16.226/32 | 205.3.16.226 to 205.3.16.226 | — | 1 |
| 228 | 205.3.16.227/32 | 205.3.16.227 to 205.3.16.227 | — | 1 |
| 229 | 205.3.16.228/32 | 205.3.16.228 to 205.3.16.228 | — | 1 |
| 230 | 205.3.16.229/32 | 205.3.16.229 to 205.3.16.229 | — | 1 |
| 231 | 205.3.16.230/32 | 205.3.16.230 to 205.3.16.230 | — | 1 |
| 232 | 205.3.16.231/32 | 205.3.16.231 to 205.3.16.231 | — | 1 |
| 233 | 205.3.16.232/32 | 205.3.16.232 to 205.3.16.232 | — | 1 |
| 234 | 205.3.16.233/32 | 205.3.16.233 to 205.3.16.233 | — | 1 |
| 235 | 205.3.16.234/32 | 205.3.16.234 to 205.3.16.234 | — | 1 |
| 236 | 205.3.16.235/32 | 205.3.16.235 to 205.3.16.235 | — | 1 |
| 237 | 205.3.16.236/32 | 205.3.16.236 to 205.3.16.236 | — | 1 |
| 238 | 205.3.16.237/32 | 205.3.16.237 to 205.3.16.237 | — | 1 |
| 239 | 205.3.16.238/32 | 205.3.16.238 to 205.3.16.238 | — | 1 |
| 240 | 205.3.16.239/32 | 205.3.16.239 to 205.3.16.239 | — | 1 |
| 241 | 205.3.16.240/32 | 205.3.16.240 to 205.3.16.240 | — | 1 |
| 242 | 205.3.16.241/32 | 205.3.16.241 to 205.3.16.241 | — | 1 |
| 243 | 205.3.16.242/32 | 205.3.16.242 to 205.3.16.242 | — | 1 |
| 244 | 205.3.16.243/32 | 205.3.16.243 to 205.3.16.243 | — | 1 |
| 245 | 205.3.16.244/32 | 205.3.16.244 to 205.3.16.244 | — | 1 |
| 246 | 205.3.16.245/32 | 205.3.16.245 to 205.3.16.245 | — | 1 |
| 247 | 205.3.16.246/32 | 205.3.16.246 to 205.3.16.246 | — | 1 |
| 248 | 205.3.16.247/32 | 205.3.16.247 to 205.3.16.247 | — | 1 |
| 249 | 205.3.16.248/32 | 205.3.16.248 to 205.3.16.248 | — | 1 |
| 250 | 205.3.16.249/32 | 205.3.16.249 to 205.3.16.249 | — | 1 |
| 251 | 205.3.16.250/32 | 205.3.16.250 to 205.3.16.250 | — | 1 |
| 252 | 205.3.16.251/32 | 205.3.16.251 to 205.3.16.251 | — | 1 |
| 253 | 205.3.16.252/32 | 205.3.16.252 to 205.3.16.252 | — | 1 |
| 254 | 205.3.16.253/32 | 205.3.16.253 to 205.3.16.253 | — | 1 |
| 255 | 205.3.16.254/32 | 205.3.16.254 to 205.3.16.254 | — | 1 |
| 256 | 205.3.16.255/32 | 205.3.16.255 to 205.3.16.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |